<?php return array (
  'manifest-version' => '1.1',
  'manifest-attributes' => 
  array (
    'readme' => '# Uncacher for MODX Revolution
Do you have a *big* MODX website? Like, thousands of resources and lots of stuff in the templates? Are your pages taking several seconds to render when they aren\'t cached? When search engines start crawling a site like that when it\'s not fully cached, it may become extremely slow. So **you can\'t afford cleaning the whole cache every time you save a resource**.

This module provides a different strategy: when you save a resource (or its pub_date time comes), it clears and regenerates the cache of this resource, its parents and the index page (`site_start` system setting).

This module was extracted from a live high-traffic website of a Russian magazine.

## Installation
First, download and install it with the MODX package manager (System, Package Management) like any other package.

Second, uncheck the "Empty Cache" flag on every resource you edit.

If you don\'t use the publishing-at-a-specified-time functionality, you can stop reading right there.

If you do need it, set [CronManager](http://rtfm.modx.com/display/ADDON/CronManager) up and add a cron job calling the `uncacheRecent` snippet every `n` minutes and with options `minutes: n`, where `n` is how often to check. Five minutes is a good choice, but you can set it to one minute if you need that much precision.
![Screenshot](http://mfwb.us/bDRC+)

## Hacking
Uncacher is tested with [Behat](http://behat.org) and built like any other MODX package (`php _build/build.transport.php`).

By default, it assumes you have MODX installed in ~/Sites; if you don\'t, set the `MODX_PATH` environment variable to the path to your MODX installation.
',
    'changelog' => '# 0.1.0
- Initial release
',
    'license' => '           DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
                   Version 2, December 2004

Copyright (C) 2012 Greg V <floatboth@me.com>

Everyone is permitted to copy and distribute verbatim or modified
copies of this license document, and changing it is allowed as long
as the name is changed.

           DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
  TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

 0. You just DO WHAT THE FUCK YOU WANT TO.',
  ),
  'manifest-vehicles' => 
  array (
    0 => 
    array (
      'vehicle_package' => 'transport',
      'vehicle_class' => 'xPDOObjectVehicle',
      'class' => 'modNamespace',
      'guid' => 'd68d9883318a9d6ed91f011564d309e2',
      'native_key' => 'uncacher',
      'filename' => 'modNamespace/bc293871e1619d278dd91d9679d47ee7.vehicle',
      'namespace' => 'uncacher',
    ),
    1 => 
    array (
      'vehicle_package' => 'transport',
      'vehicle_class' => 'xPDOObjectVehicle',
      'class' => 'modSnippet',
      'guid' => 'a72f51857e952735c972a62eebc6cb29',
      'native_key' => 1,
      'filename' => 'modSnippet/f74c1e96cf6d99b6c6eab9cdac1c5e30.vehicle',
      'namespace' => 'uncacher',
    ),
    2 => 
    array (
      'vehicle_package' => 'transport',
      'vehicle_class' => 'xPDOObjectVehicle',
      'class' => 'modPlugin',
      'guid' => '25b58dfbddfe7b9808f6dd88e99bf278',
      'native_key' => 1,
      'filename' => 'modPlugin/1c4a45983d15935dde344ffd283cae76.vehicle',
      'namespace' => 'uncacher',
    ),
  ),
);